Subject: bug#48489: 28.0.50; Incorrect Edebug instrumentation for old `when-let' form

From: Philipp Stephani <[email-masked]>
Date: Tue, 18 May 2021 18:49:59 +0200

Am Di., 18. Mai 2021 um 18:34 Uhr schrieb Philipp Stephani
<[email-masked]>:
>
> Am Di., 18. Mai 2021 um 18:27 Uhr schrieb Philipp Stephani
> <[email-masked]>:
> >
> > Am Di., 18. Mai 2021 um 18:25 Uhr schrieb Lars Ingebrigtsen <[email-masked]>:
> > >
> > > Philipp Stephani <[email-masked]> writes:
> > >
> > > > Hmm, I can't reproduce this on Debian. But I don't see how this could
> > > > be OS-dependent.
> > >
> > > It reproduces fine here on Debian/bullseye, at least:
> > >
> > > 1 unexpected results:
> > >    FAILED  edebug-tests-duplicate-symbol-backtrack
> > >
> >
> > Yeah, I can also reproduce it now. Not sure what changed in the
> > meantime on my system.
>
> Ah. See the FIXME in the test:
>
>                      ;; FIXME: There are twice as many inner
>                      ;; definitions as expected due to Bug#42701.
>                      ;; Once that bug is fixed, remove the duplicates.
>
> Bug#42701 still isn't fixed, but the fix to bug#48489 has "suppressed"
> its symptom in this case. We can therefore resolve this FIXME.
> However, then the edebug-tests-duplicate-symbol-backtrack doesn't
> really test any more what it should be testing. So I'll see that I can
> change it to restore the previous behavior (which requires
> backtracking and overlapping &or branches).

Done with commit 63e4ed1c8f1c5bbf59c366134d379bae972201f9.